WICONFIG(8)

NAME
wiconfig - configure WaveLAN/IEEE devices

SYNOPSIS
wiconfig interface [-o] [-e 0|1] [-k key [ -v 1|2|3|4 ]] [-t tx rate] [-n network name] [-s station name] [-c 0|1] [-q SSID] [-p port type] [-a access point density] [-m MAC address] [-d max data length] [-r RTS threshold] [-f frequency] [-P 0|1] [-S max sleep duration] [-T 1|2|3|4]

DESCRIPTION
The wiconfig command controls the operation of WaveLAN/IEEE wireless networking devices via the wi(4) and awi(4) drivers. Most of the parameters that can be changed relate to the IEEE 802.11 protocol which the WaveLAN implements. This includes the station name, whether the station is operating in ad-hoc (point to point) or BSS (service set) mode, and the network name of a service set to join (IBSS) if BSS mode is enabled. The wiconfig command can also be used to view the current settings of these paremeters and to dump out the values of the card's statistics counters.

The iface argument given to wiconfig should be the logical interface name associated with the WaveLAN/IEEE device (wi0, wi1, etc...).

OPTIONS
The options are as follows:

-o  Display the current settings of the specified WaveLAN/IEEE interface. This retrieves the current card settings from the driver and prints them out. Using the additional -o flag will cause wiconfig to print out the statistics counters instead of the card settings.

-e 0|1
    Enable or disable WEP encryption. Permitted values are 0 (encryption disabled) or 1 (encryption enabled). Encryption is off by default.

-k key [ -v 1|2|3|4 ]
    Set WEP encryption keys. There are four default encryption keys that can be programmed. A specific key can be set using the -v flag. If the -v flag is not specified, the first key will be set. Encryption keys can either be normal text (i.e., "hello") or a series of hexadecimal digits (i.e., "0x1234512345"). For WaveLAN Silver cards, the key is restricted to 40 bits, hence the key can be either a 5-character text string or 10 hexadecimal digits. For WaveLAN Gold cards, the key can be up to 112 bits, which means the key can be specified as either a 14-character text string or 28 hexadecimal digits. (The card claims to be 128-bit RC4, but you can only send 112 bits to the driver. Strange, I wonder where the other 16 bits come from, and what they are.)

-T 1|2|3|4
    Specify which of the four WEP encryption keys will be used to encrypt transmitted packets.

-t tx rate
    Set the transmit rate of the specified interface. The legal values for the transmit rate vary depending on whether the interface is a standard WaveLAN/IEEE or a WaveLAN/IEEE Turbo adapter. The standard NICs support a maximum transmit rate of 2Mbps while the turbo NICs support a maximum speed of 6Mbps. The following table shows the legal transmit rate settings and the corresponding transmit speeds:

    TX rate NIC speed 1 Fixed Low (1Mbps) 2 Fixed Standard (2Mbps) 3 Auto Rate Select (High) 4 Fixed Medium (4Mbps) 5 Fixed High (6Mbps) 6 Auto Rate Select (Standard) 7 Auto Rate Select (Medium) 11 Fixed Turbo (11Mbps)

    The standard NICs support only settings 1 through 3. Turbo NICs support all the above listed speed settings. The default driver setting is 3 (auto rate select).

-n network name
    Set the name of the service set (IBSS) that this station wishes to join. The network name can be any text string up to 30 characters in length. The default name is the empty string which should allow the station to connect to the first available access point. The interface should be set for BSS mode using the -p flag in order for this to work.

-s station name
    Sets the station name for the specified interface. The station name is used for diagnostic purposes. The Lucent WaveMANAGER sofware can poll the names of remote hosts.

-c 0|1
    Allow the station to create a service set (IBSS). Permitted values are 0 (don't create IBSS) and 1 (enable creation of IBSS). The default is 0.

    Note: this option is provided for experimental purposes only: enabling the creation of an IBSS on a host system doesn't appear to actually work.

-q SSID
    Specify the name of an IBSS (SSID) to create on a given interface. The SSID can be any text string up to 30 characters long.

    Note: this option is provided for experimental purposes only: enabling the creation of an IBSS on a host system doesn't appear to actually work.

-p port type
    Set the port type for a specified interface. The legal values for port type are 1 (BSS mode) and 3 (ad-hoc) mode. In ad-hoc mode, the station can communicate directly with any other stations within direct radio range (provided that they are also operating in ad-hoc mode). In BSS mode, hosts must associate with a service set controlled by an access point, which relays traffic between end stations. The default setting is 3 (ad-hoc mode).

-a access_point_density
    Specify the access point density for a given interface. Legal values are 1 (low), 2 (medium) and 3 (high). This setting influences some of the radio modem threshold settings.

-m MAC address
    Set the station address for the specified interface. The MAC address is specified as a series of six hexadecimal values separated by colons, e.g.: 00:60:1d:12:34:56. This programs the new address into the card and updates the interface as well.

-d max_data_length
    Set the maximum receive and transmit frame size for a specified interface. The max data length can be any number from 350 to 2304. The default is 2304.

-r RTS threshold
    Set the RTS/CTS threshold for a given interface. This controls the number of bytes used for the RTS/CTS handshake boundary. The RTS threshold can be any value between 0 and 2047. The default is 2347.

-f frequency
    Set the radio frequency of a given interface. The frequency should be specfied as a channel ID as shown in the table below. The list of available frequencies is dependent on radio regulations specified by regional authorities. Recognized regulatory authorities include the FCC (United States), ETSI (Europe), France and Japan. Frequencies in the table are specified in Mhz.

    Channel ID FCC ETSI France Japan 1 2412 2412 - - 2 2417 2417 - - 3 2422 2422 - - 4 2427 2427 - - 5 2432 2432 - - 6 2437 2437 - - 7 2442 2442 - - 8 2447 2447 - - 9 2452 2452 - - 10 2457 2457 2457 - 11 2462 2462 2462 - 12 - 2467 2467 - 13 - 2472 2472 - 14 - - - 2484

    If an illegal channel is specified, the NIC will revert to its default channel. For NICs sold in the United States and Europe, the default channel is 3. For NICs sold in France, the default channel is 11. For NICs sold in Japan, the only available channel is 14. Note that two stations must be set to the same channel in order to communicate.

-P 0|1
    Enable or disable power management on a given interface. Enabling power management uses an alternating sleep/wake protocol to help conserve power on mobile stations, at the cost of some increased receive latency. Power management is off by default. Note that power management requires the cooperation of an access point in order to function; it is not functional in ad-hoc mode. Also, power management is only implemented in Lucent WavePOINT firmware version 2.03 or later, and in WaveLAN PCMCIA adapter firmware 2.00 or later. Older revisions will silently ignore the power management setting. Legal values for this parameter are 0 (off) and 1 (on).

-S max sleep interval
    Specify the sleep interval to use when power management is enabled. The is specified in milliseconds. The default is 100.

SEE ALSO
awi(4), wi(4), ifconfig(8)

HISTORY
The wiconfig command first appeared in FreeBSD 3.0, as wicontrol(8). It was added to NetBSD 1.5 under its present name.

AUTHOR
The wiconfig command was written by Bill Paul <wpaul@ctr.columbia.edu>.